<p align="center"><img alt="Directus Logo" src="https://user-images.githubusercontent.com/522079/158864859-0fbeae62-9d7a-4619-b35e-f8fa5f68e0c8.png"></p>

<br />

## 🐰 Introduction

Directus is a real-time API and App dashboard for managing SQL database content.

- **Open Source.** No artificial limitations, vendor lock-in, or hidden paywalls.
- **REST & GraphQL API.** Instantly layers a blazingly fast Node.js API on top of any SQL database.
- **Manage Pure SQL.** Works with new or existing SQL databases, no migration required.
- **Choose your Database.** Supports PostgreSQL, MySQL, SQLite, OracleDB, CockroachDB, MariaDB, and MS-SQL.
- **On-Prem or Cloud.** Run locally, install on-premises, or use our
  [self-service Cloud service](https://directus.io/pricing).
- **Completely Extensible.** Built to white-label, it is easy to customize our modular platform.
- **A Modern Dashboard.** Our no-code Vue.js app is safe and intuitive for non-technical users, no training required.

**[Learn more about Directus](https://directus.io)** • **[Documentation](https://docs.directus.io)**

<br />

## 🚀 Directus Cloud

[Directus Cloud](https://directus.io/pricing) allows you to create projects, hosted by the Directus team, in 90 seconds.

- **No product limitations or service usage quotas (unlimited users, API requests, etc)**
- A modern self-service dashboard to create and monitor all your projects in one place
- End-to-end solution: Directus, database, serverless auto-scaling, storage, and a global CDN
- Select your desired region and provision a new project in ~90 seconds

**[Create a Directus Cloud Project](https://directus.cloud)**

<br />

## 🤔 Community Help

[The Directus Documentation](https://docs.directus.io) is a great place to start, or explore these other channels:

- [Discord](https://directus.chat) (Questions, Live Discussions)
- [GitHub Issues](https://github.com/directus/directus/issues) (Report Bugs)
- [GitHub Discussions](https://github.com/directus/directus/discussions) (Feature Requests)
- [Twitter](https://twitter.com/directus) (Latest News)
- [YouTube](https://www.youtube.com/c/DirectusVideos/featured) (Video Tutorials)

<br />

## ❤️ Contributing & Sponsoring

Please read our [Contributing Guide](./contributing.md) before submitting Pull Requests.

All security vulnerabilities should be reported in accordance with our
[Security Policy](https://docs.directus.io/contributing/introduction/#reporting-security-vulnerabilities).

Directus is a premium open-source ([BSL 1.1](./license)) project, made possible with support from our passionate core
team, talented contributors, and amazing [GitHub Sponsors](https://github.com/sponsors/directus). Thank you all!!

<br />

© 2004-2023, Monospace, Inc.
